# sys_call_new.S File Reference

Go to the source code of this file.

## Defines

#define | FAKE_MCOUNT(caller) pushl caller ; call __mcount ; popl %ecx

## Variables

globl _sysCall_new text code32 | _sysCall_new
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl fs call syscall popl fs popl es popl ds popal | addl
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl | eax
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl | eax
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl | eax
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl fs call syscall popl fs popl es popl ds popal esp iret | invalidSysCall
globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl | x10

## Define Documentation

#define FAKE_MCOUNT | ( | caller |  | ) | pushl caller ; call __mcount ; popl %ecx

Definition at line 30 of file sys_call_new.S.

## Variable Documentation

globl _sysCall_new text code32 _sysCall_new

Definition at line 37 of file sys_call_new.S.

Referenced by idt_init().

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl fs call syscall popl fs popl es popl ds popal addl

Definition at line 37 of file sys_call_new.S.

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl eax

Definition at line 37 of file sys_call_new.S.

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl eax

Definition at line 37 of file sys_call_new.S.

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl eax

Definition at line 37 of file sys_call_new.S.

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl eax movl ds movl es movl fs call syscall popl fs popl es popl ds popal esp iret invalidSysCall

Definition at line 37 of file sys_call_new.S.

globl _sysCall_new text code32 esp pushal pushl ds pushl es pushl fs movl x10

Definition at line 37 of file sys_call_new.S.